body {
  font-size: 16px;
  color: #111;
  display: flex;
  flex-direction: column;
  min-height: calc(var(--vh, 1vh) * 100);
}

.header {
  text-align: center;
}
.header .title {
  font-size: 0;
}
.header .hello-text {
  display: block;
  font-size: 80px;
  font-weight: bold;
  margin: 50px 0;
  text-align: center;
  line-height: normal;
  background: linear-gradient(to right, #28c76f 0%, #5a4aff 50%, #ff3739 100%);
  background-size: 200% auto;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  opacity: 0;
  animation: shine 8s ease-in-out infinite alternate, fadeIn 2s ease forwards;
}

.main {
  flex-grow: 1;
}
.main .content {
  width: 70%;
  margin: 8% auto 10%;
  padding: 2% 4%;
  background-color: #f0f0f0;
  border-radius: 15px;
  text-align: center;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  opacity: 0;
  animation: fadeIn 1s ease forwards;
}
.main .content .typed {
  font-size: 28px;
  white-space: pre-wrap;
  line-height: 45px;
}

.typed-cursor {
  font-size: 28px;
  line-height: 28px;
}

.footer {
  height: 80px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  border-top: 1px solid #e5e7eb;
  opacity: 0;
  animation: fadeIn 2s ease forwards;
}
.footer .copyright {
  margin-top: 5px;
}
.footer .beian {
  margin-bottom: 10px;
}
.footer a {
  text-decoration: none;
  color: #1e73be;
}

@keyframes shine {
  0% {
    background-position: 0% 50%;
  }
  80% {
    background-position: 50% 90%;
  }
  100% {
    background-position: 91% 100%;
  }
}
@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

@media (max-width: 375px) {
  .footer .copyright .text {
    display: none;
  }
}
@media (max-width: 600px) {
  .main .content {
    width: 80%;
  }
}
@media (min-width: 601px) and (max-width: 1200px) {
  .main .content {
    width: 90%;
  }
}
@media (min-width: 1201px) {
  .main .content {
    width: 70%;
  }
}
